Mantis - Squeak
Viewing Issue Advanced Details
7711 SqueakMap major always 12-27-12 13:34 01-01-13 21:31
FrankShearar  
gokr  
normal  
assigned  
open  
none    
none  
0007711: Cannot update install scripts
I made a mistake in the install script when releasing the Zippers package [1]. I tried to upload a new, corrected, version of the script [2]. Things look OK, in that I can see the file being uploaded. However, downloading the "new" version shows that SqueakMap has not overwritten the file.




[1] http://map.squeak.org/account/package/94f09ced-8eee-4c60-b894-64c07c44c5c5/editreleases [^]
[2] http://map.squeak.org/accountbyid/7d14beff-c6b5-40fe-b47b-625d54519641/files/install-Zippers-1.0.st [^]
The file SHOULD say

Installer ss3 install: 'ConfigurationOfZippers'.
(Smalltalk at: #ConfigurationOfZippers) load.

but says this:

Installer cache install: 'ConfigurationOfZippers'.
(Smalltalk at: #ConfigurationOfZippers) load.

Notes
(0014270)
FrankShearar   
12-27-12 20:34   
A workaround is to simply use the in-image Release Editor (right click a package in the SqueakMap Catalog).
(0014271)
FrankShearar   
01-01-13 21:31   
This bug report should now represent the fact that the _web_ part of SM doesn't update things correctly. Using the in-image editor works.